## ros-lunar-grid-map-msgs 1.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(grid_map_msgs)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  std_msgs
  geometry_msgs
  message_generation
)

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  GridMapInfo.msg
  GridMap.msg
)

## Generate services in the 'srv' folder
add_service_files(
  FILES
  GetGridMap.srv
  GetGridMapInfo.srv
  ProcessFile.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need

catkin_package(
    #INCLUDE_DIRS include
    #LIBRARIES
    CATKIN_DEPENDS
        geometry_msgs
        message_runtime
        std_msgs
    #DEPENDS
)

=== debian/changelog ===
ros-lunar-grid-map-msgs (1.6.1-0xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/master' into fix/melodic
  * Merge pull request #198 <https://github.com/ANYbotics/grid_map/issues/198> from ANYbotics/feature/extend_process_file_srv
    Extend ProcessFile.srv to include topic_name field.
  * Restore single topic_name field, as discussed with Peter.
  * Update ProcessFile.srv
  * Extend ProcessFile.srv to include topic_name field.
  * Updated author e-mail address.
  * Contributors: Marco Tranzatto, MarcoSuetterlin, Peter Fankhauser, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-lunar-grid-map-msgs (1.6.0-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Thu, 23 Nov 2017 23:00:00 -0000

ros-lunar-grid-map-msgs (1.5.2-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 24 Jul 2017 22:00:00 -0000

ros-lunar-grid-map-msgs (1.5.1-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 24 Jul 2017 22:00:00 -0000

ros-lunar-grid-map-msgs (1.5.0-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 17 Jul 2017 22:00:00 -0000

ros-lunar-grid-map-msgs (1.4.2-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 23 Jan 2017 23:00:00 -0000

ros-lunar-grid-map-msgs (1.4.1-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Sat, 22 Oct 2016 22:00:00 -0000

ros-lunar-grid-map-msgs (1.4.0-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Sun, 21 Aug 2016 22:00:00 -0000

ros-lunar-grid-map-msgs (1.3.3-0xenial) xenial; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 09 May 2016 22:00:00 -0000

ros-lunar-grid-map-msgs (1.3.2-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 09 May 2016 22:00:00 -0000

ros-lunar-grid-map-msgs (1.3.1-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 09 May 2016 22:00:00 -0000

ros-lunar-grid-map-msgs (1.3.0-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 25 Apr 2016 22:00:00 -0000

ros-lunar-grid-map-msgs (1.2.0-0xenial) xenial; urgency=high

  * [grid_map_msgs] package exports
  * Contributors: Daniel Stonier

 -- Péter Fankhauser <pfankhauser@ethz.ch>  Wed, 02 Mar 2016 23:00:00 -0000

ros-lunar-grid-map-msgs (1.1.3-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Sun, 10 Jan 2016 23:00:00 -0000

ros-lunar-grid-map-msgs (1.1.2-0xenial) xenial; urgency=high

  * Should fix errors on build server regarding Eigen3 and visualization_msgs dependencies.

 -- Péter Fankhauser <pfankhauser@ethz.ch>  Sun, 10 Jan 2016 23:00:00 -0000

ros-lunar-grid-map-msgs (1.1.1-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Sun, 10 Jan 2016 23:00:00 -0000

ros-lunar-grid-map-msgs (1.1.0-0xenial) xenial; urgency=high

  * added new srv definition for processing of grid map files
  * general improvements and bugfixes

 -- Péter Fankhauser <pfankhauser@ethz.ch>  Thu, 07 Jan 2016 23:00:00 -0000

ros-lunar-grid-map-msgs (1.0.0-0xenial) xenial; urgency=high

  * release for Springer ROS Book Chapter

 -- Péter Fankhauser <pfankhauser@ethz.ch>  Thu, 19 Nov 2015 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-grid-map-msgs
Section: misc
Priority: extra
Maintainer: Péter Fankhauser <pfankhauser@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-roscpp, ros-lunar-std-msgs
Homepage: http://github.com/ethz-asl/grid_map
Standards-Version: 3.9.2

Package: ros-lunar-grid-map-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-message-runtime, ros-lunar-roscpp, ros-lunar-std-msgs
Description: Definition of the multi-layered grid map message type.
